<?php
defined('_JEXEC') or die;

JLoader::register('SF2Helper', JPATH_ROOT.'/modules/mod_simpleform2/helpers/sf2.php');

class plgSimpleForm2Telegram extends JPlugin
{

	public function processAfterSendEmail(&$mail, $form, $moduleParams, $result){
        if($result!==true){
            return;
        }
        $token = $this->params->get('token','');
        $chatIDs = $this->params->get('chatIDs','');
        if($token=='' || $chatIDs==''){
            return;
        }
        $now = JFactory::getDate(null);
        $app = JFactory::getApplication();
        $url = JUri::root();
        $url = str_replace('modules/mod_simpleform2/','',$url);
		$url = $app->input->get('url',$url,'string');
		$date = JHtml::_('date', $now->format('Y-m-d H:i:s'), 'd.m.Y H:i:s');
		$ip = SF2Helper::getUserIp();
        $request = JHttpFactory::getHttp();
        
		$message = '<b>'.JText::_('MOD_SIMPLEFORM2_SENT_FROM_PAGE').':</b> '.$url."\r\n";
		$message.= '<b>'.JText::_('MOD_SIMPLEFORM2_DATE').':</b> '.$date."\r\n";
		$message.= '<b>'.JText::_('MOD_SIMPLEFORM2_USER_IP').':</b> '.$ip."\r\n";
		foreach($form->getElements() as $element){
			if($element->getParam('send-in-email','')=='no'){
				continue;
			}
			$message.= '<b>'.$element->getParam('label','').':</b> '.$element->getValueDisplay()."\r\n";
		}
		
        foreach(explode(',',$chatIDs) as $chatID){
            $chatID = trim($chatID);
            if(!is_numeric($chatID)){
                continue;
            }
            $responce = $request->get('https://api.telegram.org/bot'.$token.'/sendMessage?chat_id='.$chatID.'&parse_mode=html&text='.urlencode($message),array(
                'Accept' => 'application/json'
            ),10);

            if((int)$responce->code!=200) {
                //throw new Exception('');
            }
        }
	}
}
